Name:           buildbox-casd
Version:        0.0.6
Release:        1%{?dist}
Summary:        Local cache and proxy for remote CAS servers

License:        Apache-2.0
URL:            https://gitlab.com/BuildGrid/buildbox/buildbox-casd
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig(protobuf) >= 3.5
BuildRequires:  pkgconfig(grpc++) >= 1.10
BuildRequires:  pkgconfig(uuid)
BuildRequires:  cmake(BuildboxCommon)
BuildRequires:  gtest-devel
BuildRequires:  gmock-devel

%description
buildbox-casd is a long-lived local cache and proxy for the 
ContentAddressableStorage services described by Bazel's Remote Execution API.
Its intended purpose is to run on the same host as a remote worker or client
to provide fast access to data in CAS.

It also supports the LocalCAS Protocol.


%prep
%autosetup


%build
mkdir %{_vpath_builddir}
pushd %{_vpath_builddir}
%cmake \
    -DBUILDBOX_CASD_VERSION="%{version}" \
    -DBUILD_TESTING:BOOL=ON \
    -GNinja ..
popd

%ninja_build -C %{_vpath_builddir}


%install
%ninja_install -C %{_vpath_builddir}


%check
%ninja_test -C %{_vpath_builddir}


%files
%license LICENSE
%doc README.rst
%{_bindir}/buildbox-casd


%changelog
* Sun Mar  1 2020 gasinvein <gasinvein@gmail.com>
- Initial package
